Bug 504576 - Cannot use virt-manager to create new guest with the same name after undefine the guest on Xen
Cannot use virt-manager to create new guest with the same name after undefine...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
low Severity high
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 06:41 EDT by Nan Zhang
Modified: 2009-12-14 16:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 09:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nan Zhang 2009-06-08 06:41:19 EDT
Description of problem:
As subject.

Version-Release number of selected component (if applicable):
rhel-5.4(Xen)
libvirt 0.6.3-6.el5

How reproducible:
Always

Steps to Reproduce:
1. Start virt-manager and create a new guest domain, such as 'demo'
2. # virsh destroy demo
3. # virsh undefine demo
4. Using virt-manager to create a guest domain with the same name 'demo' (Don't close the virt-manager during above operations)
  
Actual results:
Guest name 'demo' is already in use.

Expected results:
The guest domain 'demo' can be used.

Additional info:
No this issue on KVM.
Comment 2 Chris Lalancette 2009-07-09 08:12:56 EDT
Can you retest this with 5.3 to see if this is a regression or not?  We want to make sure we track it as such if it is a regression.

Thanks,
Chris Lalancette
Comment 3 Nan Zhang 2009-07-10 02:25:46 EDT
Yes, I retest this with libvirt-0.6.3-14.el5 on rhel-5.3, it also occurs. It's maybe a regression issue.
Comment 4 Chris Lalancette 2009-07-10 03:43:48 EDT
No, that doesn't help.  If there is a problem, it's probably with libvirt.  What I'm curious about is whether this used to work with the 5.3 versions of the package (libvirt 0.3.3, etc), and is now broken, or whether it was always broken.

Chris Lalancette
Comment 5 Nan Zhang 2009-07-10 09:15:42 EDT
Chris,
I retry it on libvirt 0.3.3 with 5.3, but this issue can not be reproduced. I'm not sure if it's the virt-manager's bug.
Comment 6 Chris Lalancette 2009-07-10 09:54:46 EDT
OK, thanks for the extra testing.  That means it's a regression from 5.3, so we have to track it like that.  I'll set the right keywords.

Chris Lalancette
Comment 11 Daniel Berrange 2009-10-29 13:24:25 EDT
Can you confirm whether this is still a problem. 

In another bug:

https://bugzilla.redhat.com/show_bug.cgi?id=508278

we fixed a problem with libvirt /etc/xen handling, with it not refreshing the list of domains. I think that problem would also cause the scenario described in this bug.
Comment 13 Nan Zhang 2009-10-30 03:17:29 EDT
Yes, I think it's already fixed, I just retest this bug on the latest libvirt 0.6.3-21.el5 for rhel 5.4.
Comment 14 Daniel Veillard 2009-12-11 09:30:35 EST
Okay thanks !
Closing it then,

Daniel

Note You need to log in before you can comment on or make changes to this bug.